#!/usr/bin/perl
# this script takes Matt's trueskill text outputs and converts them to our
# format
# usage:
#   cat trueskill-results/*.txt \
#   | ./convert-trueskill-results-to-our-human-scores.pl \
#   | gzip > human-DATESTAMP.scores.gz

use strict;

while (<>) {
  chomp;
  next if /^\+\+\++$/; # we ignore cluster boundaries
  my ($descr, $score, $lowrank, $highrank) = split / /;
  $descr =~ /^([^.]+)\.(.*)\.(..-..)\.txt$/;
  my $testset = $1;
  my $system = $2;
  my $langpair = $3;
  die "Failed to parse '$descr'"
    if !defined $testset || ! defined $system || ! defined $langpair;
  print "human\t$langpair\t$testset\t$system\t$score\n";
}

